# lowpower.h File Reference

XMega low power initialization. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | LOWPOWER_Init (void)
| Disable JTAG interface. (Comment out to leave it enabled.).

## Detailed Description

XMega low power initialization.

This file contains a function prototype, and configuration if JTAG should be disabled. Comment out the definition of NO_JTAG if disabling of this is not wanted.

Application note:
  AVR1010: Minimizing the power consumption of XMEGA devices

Documentation
  For comprehensive code documentation, supported compilers, compiler settings and supported devices see readme.html

Author:
  Atmel Corporation: http://www.atmel.com
  Support email: avr@atmel.com

Revision
  2770

Date
  2009-09-11 16:55:22 +0800 (Fri, 11 Sep 2009)

Copyright (c) 2008, Atmel Corporation All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. The name of ATMEL may not be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE EXPRESSLY AND SPECIFICALLY DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Definition in file lowpower.h.

## Function Documentation

void LOWPOWER_Init | ( | void |  | ) |

Disable JTAG interface. (Comment out to leave it enabled.).

Perform initialization of XMEGA device

This function merely contains macros, which are defined in lowpower_macros.h depending on which XMEGA device the project is compiled for.
The JTAG interface is disabled if NO_JTAG is defined in lowpower.h.

Definition at line 77 of file lowpower.c.

References DISABLE_JTAG.

Referenced by main().

    00078 {
    00079 #ifdef NO_JTAG
    00080         DISABLE_JTAG();
    00081 #endif // NO_JTAG
    00082
    00083         DISABLE_GEN();
    00084         DISABLE_TC();
    00085         DISABLE_COM();
    00086         DISABLE_ANLG();
    00087         ENABLE_PULLUP();
    00088 }